## ros-indigo-yocs-velocity-smoother 0.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(yocs_velocity_smoother)
find_package(catkin REQUIRED COMPONENTS roscpp pluginlib nodelet ecl_threads dynamic_reconfigure geometry_msgs nav_msgs)

# Dynamic reconfigure support
generate_dynamic_reconfigure_options(cfg/params.cfg)

catkin_package(
   INCLUDE_DIRS include
   LIBRARIES ${PROJECT_NAME}_nodelet
   CATKIN_DEPENDS roscpp pluginlib nodelet ecl_threads dynamic_reconfigure geometry_msgs nav_msgs
)

include_directories(include ${catkin_INCLUDE_DIRS})


# Nodelet library
add_library(${PROJECT_NAME}_nodelet src/velocity_smoother_nodelet.cpp)


target_link_libraries(${PROJECT_NAME}_nodelet ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME}_nodelet ${PROJECT_NAME}_gencfg)


install(TARGETS ${PROJECT_NAME}_nodelet
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(DIRECTORY plugins
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY param
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-yocs-velocity-smoother (0.6.4-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.6.3-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 04 Dec 2014 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.6.2-0trusty) trusty; urgency=high

  * yocs_velocity_smoother: adds node name param to launcher
  * adds a little launcher restructing for muxer and smoother
  * Contributors: Marcus Liebhardt

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sat, 29 Nov 2014 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.6.0-0trusty) trusty; urgency=high

  * updating package informations. remove email for authors. updating maintainer
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Jul 2014 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.5.3-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 23 Mar 2014 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.5.2-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 04 Nov 2013 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.5.1-0trusty) trusty; urgency=high

  * Unify naming politics for binaries and plugins.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 13 Oct 2013 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.5.0-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 10 Oct 2013 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.4.1-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Oct 2013 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.4.0-0trusty) trusty; urgency=high

  * Add bugtracker and repo info URLs.
  * Changelogs at package level.
  * Separate and comment velocity feedback remaps.
  * License link fixed.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Wed, 28 Aug 2013 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.3.0-0trusty) trusty; urgency=high

  * Fix on velocity smoother to deal with low-rate simulated time (namely Stage).
  * Allow using end velocity commands as robot feedback (until now we can use only odometry).

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 01 Jul 2013 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.2.3-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 14 Apr 2013 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.2.2-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sat, 09 Feb 2013 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.2.1-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 07 Feb 2013 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.2.0-0trusty) trusty; urgency=high

  * Catkinized.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Wed, 06 Feb 2013 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.1.3-0trusty) trusty; urgency=high

  * Dynamic reconfigure for velocity/acceleration limits.
  * Fix on deceleration smoothing.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Jan 2013 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.1.2-0trusty) trusty; urgency=high

  * Add test program.
  * Add licensing.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 01 Jan 2013 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.1.1-0trusty) trusty; urgency=high

  * Keep direction constant when smoothing velocities, i.e. draw constant arcs. To do so we must sometimes over-limit dv or dw.
  * Bound velocity in addition to acceleration. Also set physically meaningful values for acceleration.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 20 Dec 2012 15:00:00 -0000

ros-indigo-yocs-velocity-smoother (0.1.0-0trusty) trusty; urgency=high

  * Initial version.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 04 Dec 2012 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-yocs-velocity-smoother
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonl@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-ecl-threads, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-pluginlib, ros-indigo-roscpp
Homepage: http://ros.org/wiki/yocs_velocity_smoother
Standards-Version: 3.9.2

Package: ros-indigo-yocs-velocity-smoother
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dynamic-reconfigure, ros-indigo-ecl-threads, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-pluginlib, ros-indigo-roscpp
Description: Bound incoming velocity messages according to robot velocity and acceleration limits.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-yocs-velocity-smoother//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
